Manage Connectors
Update
Update an existing data connector configuration.
Request Body
| Field | Type | Description |
|---|---|---|
connector_name | str | The profile name of the data connector to update. |
connector_body | VDBConfigs | Updated configuration object for the VDB. |
Response
- 200: VDB connector updated successfully
- Returns:
{ "profile_id": str }
- Returns:
- 500: Internal Server Error (e.g., failed to store secret)
Example
{
"connector_name": "my-pinecone-db",
"connector_body": {
"vector_db_type": "pinecone",
"api_key": "updated-api-key",
"environment": "us-west-1-aws",
"index_name": "my-index"
}
}
POST
Python
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Response
Successful Response
Python
